Bug 175961 - glibc detected and cores with backtrace
glibc detected and cores with backtrace
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-16 13:25 EST by Brian Millett
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: Rhythmbox 0.9.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-30 12:03:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace (23.75 KB, text/plain)
2006-01-17 20:35 EST, David Nielsen
no flags Details

  None (edit)
Description Brian Millett 2005-12-16 13:25:28 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20051211 Fedora/1.5-1.1 Firefox/1.5

Description of problem:
Rhythmbox plays ogg files fine, but when trying to play radio causes erratic play.  Quiting causes a backtrace and I need to kill the rhythmbox process by hand.

Version-Release number of selected component (if applicable):
rhythmbox-0.9.2-3.1

How reproducible:
Always

Steps to Reproduce:
1.launch rhythmbox
2.select a radio station
3.quit
  

Actual Results:  [bpm]$ rhythmbox 
** (rhythmbox:14528): WARNING **: nautilus_burn_drive_free is deprecated please use nautilus_burn_drive_unref() instead

(rhythmbox:14528): Rhythmbox-CRITICAL **: rb_player_play: assertion `mp->priv->playbin != NULL' failed

(rhythmbox:14528): Rhythmbox-CRITICAL **: rb_player_play: assertion `mp->priv->playbin != NULL' failed

(rhythmbox:14528): Rhythmbox-WARNING **: do_next_idle: Unhandled error: Problem occurred without error being set. This is a bug in Rhythmbox or GStreamer.
*** glibc detected *** rhythmbox: free(): invalid pointer: 0x08524498 ***
======= Backtrace: =========
/lib/libc.so.6[0xeab8e0]
/lib/libc.so.6(__libc_free+0x79)[0xeabfa2]
/usr/lib/libglib-2.0.so.0(g_free+0x22)[0xb2c222]
rhythmbox[0x807fc43]
/usr/lib/libgobject-2.0.so.0(g_object_unref+0x162)[0x65daa55]
rhythmbox[0x806b247]
/usr/lib/libgobject-2.0.so.0(g_object_unref+0x162)[0x65daa55]
rhythmbox[0x8067e7b]
/usr/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__VOID+0x43)[0x65e54f8]
/usr/lib/libgobject-2.0.so.0(g_closure_invoke+0x11c)[0x65d8c9a]
/usr/lib/libgobject-2.0.so.0[0x65e9bb8]
/usr/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x820)[0x65eb032]
/usr/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0x65eb2d7]
/usr/lib/libgtk-x11-2.0.so.0[0x67039cf]
/usr/lib/libgtk-x11-2.0.so.0(gtk_action_activate+0x7d)[0x670475f]
/usr/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__VOID+0x43)[0x65e54f8]
/usr/lib/libgobject-2.0.so.0(g_closure_invoke+0x11c)[0x65d8c9a]
/usr/lib/libgobject-2.0.so.0[0x65e9bb8]
/usr/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x820)[0x65eb032]
/usr/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0x65eb2d7]
/usr/lib/libgtk-x11-2.0.so.0(gtk_widget_activate+0x8a)[0x68b409c]
/usr/lib/libgtk-x11-2.0.so.0(gtk_menu_shell_activate_item+0x116)[0x67de81c]
/usr/lib/libgtk-x11-2.0.so.0[0x67dfc5a]
/usr/lib/libgtk-x11-2.0.so.0[0x67d4b2d]
/usr/lib/libgtk-x11-2.0.so.0[0x67d32f3]
/usr/lib/libgobject-2.0.so.0[0x65d7585]
/usr/lib/libgobject-2.0.so.0(g_closure_invoke+0x11c)[0x65d8c9a]
/usr/lib/libgobject-2.0.so.0[0x65ea1f1]
/usr/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x6d1)[0x65eaee3]
/usr/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0x65eb2d7]
/usr/lib/libgtk-x11-2.0.so.0[0x68b0430]
/usr/lib/libgtk-x11-2.0.so.0(gtk_propagate_event+0x179)[0x67cd89d]
/usr/lib/libgtk-x11-2.0.so.0(gtk_main_do_event+0x2df)[0x67ce8e5]
/usr/lib/libgdk-x11-2.0.so.0[0x6a84203]
/usr/lib/libglib-2.0.so.0(g_main_context_dispatch+0x16e)[0xb25943]
/usr/lib/libglib-2.0.so.0[0xb28893]
/usr/lib/libglib-2.0.so.0(g_main_loop_run+0x1a7)[0xb28c3c]
/usr/lib/libbonobo-2.so.0(bonobo_main+0x63)[0x620649]
rhythmbox(main+0x9dc)[0x80656e2]
/lib/libc.so.6(__libc_start_main+0xdf)[0xe5d62f]
rhythmbox[0x8064bf1]
======= Memory map: ========
00111000-00170000 r-xp 00000000 03:02 584486     /usr/lib/libbonoboui-2.so.0.0.000170000-00173000 rwxp 0005f000 03:02 584486     /usr/lib/libbonoboui-2.so.0.0.000173000-001b2000 r-xp 00000000 03:02 1233210    /lib/libssl.so.0.9.8a
001b2000-001b6000 rwxp 0003e000 03:02 1233210    /lib/libssl.so.0.9.8a
001b6000-001b8000 r-xp 00000000 03:02 1237606    /lib/libcom_err.so.2.1
001b8000-001b9000 rwxp 00001000 03:02 1237606    /lib/libcom_err.so.2.1
001b9000-001c8000 r-xp 00000000 03:02 1237597    /lib/libresolv-2.3.90.so
001c8000-001c9000 r-xp 0000e000 03:02 1237597    /lib/libresolv-2.3.90.so
001c9000-001ca000 rwxp 0000f000 03:02 1237597    /lib/libresolv-2.3.90.so
001ca000-001cc000 rwxp 001ca000 00:00 0
001cc000-001fa000 r-xp 00000000 03:02 406759     /usr/lib/libmusicbrainz.so.4.0.0
001fa000-001fb000 rwxp 0002e000 03:02 406759     /usr/lib/libmusicbrainz.so.4.0.0
001fb000-00219000 r-xp 00000000 03:02 418572     /usr/lib/libdbus-glib-1.so.2.0.0
00219000-0021a000 rwxp 0001e000 03:02 418572     /usr/lib/libdbus-glib-1.so.2.0.0
0021a000-0021c000 r-xp 00000000 03:02 406891     /usr/lib/libXinerama.so.1.0.0
0021c000-0021d000 rwxp 00001000 03:02 406891     /usr/lib/libXinerama.so.1.0.0
0021d000-00220000 r-xp 00000000 03:02 418928     /usr/lib/libgmodule-2.0.so.0.901.0
00220000-00221000 rwxp 00002000 03:02 418928     /usr/lib/libgmodule-2.0.so.0.901.0
00223000-0023c000 r-xp 00000000 03:02 1233032    /lib/ld-2.3.90.so
0023c000-0023d000 r-xp 00018000 03:02 1233032    /lib/ld-2.3.90.so
0023d000-0023e000 rwxp 00019000 03:02 1233032    /lib/ld-2.3.90.so
0023e000-0034d000 r-xp 00000000 03:02 1233212    /lib/libcrypto.so.0.9.8a
0034d000-00360000 rwxp 0010f000 03:02 1233212    /lib/libcrypto.so.0.9.8a
00360000-00363000 rwxp 00360000 00:00 0
00363000-003d1000 r-xp 00000000 03:02 417545
[bpm]$ pkill -9 rhythm 

Expected Results:  should play radio station

Additional info:

This is after the latest (12/16/2005) rawhide upgrades.
Comment 1 David Nielsen 2006-01-17 20:34:21 EST
I can confirm this with 18/01/06 Rawhide, backtrace attached.
Comment 2 David Nielsen 2006-01-17 20:35:26 EST
Created attachment 123348 [details]
backtrace
Comment 3 Bastien Nocera 2007-01-30 11:26:56 EST
Could you please check whether the same thing occurs with Rhythmbox 0.9.6 that
was uploaded to the FC6 updates recently?
Or with 0.9.7 in devel?
Comment 4 Brian Millett 2007-01-30 12:03:16 EST
This problem has gone away.  Rhythmbox 0.9.6 workd just fine.

Note You need to log in before you can comment on or make changes to this bug.